function EVA = getEVA(amp, trial_starts, samples_per_trial)

% EVA = getEVA(amp, nTrials)
%
% T.E.Gladwin, 2007

% extract trials
memory1 = amp(:);
amp = [];
for n = 1:length(trial_starts),
    a = trial_starts(n);
    b = a + samples_per_trial - 1;
    if a > 0 & b < length(memory1),
        amp = [amp memory1(a:b)];
    end;
end;

% Reshape the vector into a trial-length x nTrials matrix, and average over
% trials (== over columns)
EVA = mean(amp, 2);
