function PLV = getPLV(angle_diff, trial_starts, samples_per_trial)

% PLV = getPLV(PD, trial_starts, samples_per_trial)
%
% T.E.Gladwin, 2007

% extract trials
memory1 = angle_diff(:);
angle_diff = [];
for n = 1:length(trial_starts),
    a = trial_starts(n);
    b = a + samples_per_trial - 1;
    if a > 0 & b < length(memory1),
        angle_diff = [angle_diff; memory1(a:b)];
    end;
end;

% Get the x and y coordinates of the unit phase-difference vectors
x = cos(angle_diff);
y = sin(angle_diff);

% Get the vector sum (sum over columns), get the length, and finally
% normalize it to get the instantaneous PLV.
% Reshape the vectors into trial-length x nTrials matrices
x = reshape(x, samples_per_trial, length(x) / samples_per_trial);
y = reshape(y, samples_per_trial, length(y) / samples_per_trial);
x_sum = sum(x, 2);
y_sum = sum(y, 2);
sum_length = sqrt(x_sum .^ 2 + y_sum .^ 2);
PLV = sum_length / length(trial_starts);
